library Remote;

uses
  Forms, Placemnt, SysUtils, Controls,
  Girder in 'Girder.pas',
  sSetup in 'sSetup.pas' {_Setup};

var SaveExit: Pointer;
  aDllInfo: tgirdll;


procedure SetCallbackProc(cbp: pcallbackprc);
begin
  @CallBackProc := cbp;
end;

procedure LocalExitProc;
begin
  closelib(aDllInfo);
  ExitProc := SaveExit;
end;

procedure ReadModuleSettings;
var FIni: TFormStorage;
begin
  FIni := TFormStorage.Create(nil);
  FIni.IniFileName := ChangeFileExt(Application.ExeName, '.ini');
  FIni.Active := False;
  FIni.IniSection := 'Module Remote.dll';
  GirderModuleName := FIni.ReadString('PluginName', '');
  FIni.Free;
end;

procedure SaveModuleSettings;
var FIni: TFormStorage;
begin
  FIni := TFormStorage.Create(nil);
  FIni.IniFileName := ChangeFileExt(Application.ExeName, '.ini');
  FIni.Active := False;
  FIni.IniSection := 'Module Remote.dll';
  FIni.WriteString('PluginName', GirderModuleName);
  FIni.Free;
end;

procedure Setup;
var _Setup: T_Setup;
begin
  _Setup := T_Setup.Create(nil);
  _Setup.feModule.Text := GirderModuleName;
  if _Setup.ShowModal = mrOK then
  begin
     GirderModuleName := _Setup.feModule.Text;
     SaveModuleSettings;
  end;
  _Setup.Free;
end;


exports SetCallbackProc, Setup;

begin
  SaveExit := ExitProc;
  ExitProc := @LocalExitProc;

  GirderModuleName := '';
  ReadModuleSettings;
  if GirderModuleName = '' then Setup
  else openlib(aDllInfo);
end.

