unit sSetup;

interface

uses
  SysUtils, Forms, FileCtrl, Classes, Controls, StdCtrls;

type
  T_Setup = class(TForm)
    Label1: TLabel;
    btnOK: TButton;
    btnCancel: TButton;
    feBox: TFileListBox;
    feModule: TEdit;
    procedure feBoxChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.DFM}

procedure T_Setup.feBoxChange(Sender: TObject);
begin
   feModule.Text := ExtractFileName(feBox.FileName);
end;

procedure T_Setup.FormCreate(Sender: TObject);
begin
   feBox.ApplyFilePath(ExtractFilePath(Application.ExeName));
end;

end.
